# class MessageHook | Abstract message hook. More...
Contains pure virtuals
Full name | `TelEngine::MessageHook`
Definition | `#include <yatengine.h>`
Inherits | TelEngine::RefObject [public ]
Inherited by | MessageQueue
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual bool enqueue (Message* msg)
- virtual void clear ()
- virtual bool matchesFilter (const Message& msg)

## Detailed Description

Abstract class for message hook

bool enqueue (Message* msg) | ### enqueue

[pure virtual]

Try to enqueue a message to this hook's queue

Parameters:

msg | The message to enqueue

Returns: True if the message was enqueued.

void clear () | ### clear

[pure virtual]

Clear this hook data

bool matchesFilter (const Message& msg) | ### matchesFilter

[pure virtual]

Check if the given message can be inserted in this queue

Parameters:

msg | The message to check

Returns: True if the message can be inserted in this queue

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.